Reset credentials for an RBS volume
POST/v1/remote_block_storage/volumes/{volume_id}/reset_credentials
To reset connection credentials of an RBS volume, perform a POST request to /v1/remote_block_storage/volumes/{volume_id}/reset_credentials. Specify a volume in the path parameter. During this operation, a volume has pending status.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
volume_id | stringA unique identifier of an RBS volume. Use this request to list all volume IDs. |
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/remote_block_storage/volumes/8mep2bMy/reset_credentials"{ "id": "8mep2bMy", "name": "name181", "size": 100, "status": "pending", "location_id": 198, "location_code": "AMS198", "flavor_id": 482, "flavor_name": "RBS Flavor name179", "iops": 61674, "bandwidth": 79502, "labels": {}, "ip_address": null, "target_iqn": null, "created_at": "2026-05-28T06:56:26.756Z", "updated_at": "2026-05-28T06:56:26.839Z"}